Bug 804213 - 32bit pk-gtk-module not available under 64bit Fedora 17
32bit pk-gtk-module not available under 64bit Fedora 17
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 16:39 EDT by Joel
Modified: 2013-07-31 20:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:37:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel 2012-03-16 16:39:02 EDT
Description of problem:
Some apps (32bit google-chrome in particular) look for libpk-gtk-module and there is no PackageKit-gtk3-module.i686 available to install under 64bit Fedora 17.

Version-Release number of selected component (if applicable):
PackageKit-gtk3-module-0.7.3-1.fc17.x86_64

How reproducible:
every time

Steps to Reproduce:
1.under fedora 17 64 bit run: yum search PackageKit | grep module
2.
3.
  
Actual results:
There is only PackageKit-gtk3-module-0.7.3-1.fc17.x86_64 and no .i686 version to install.

Expected results:
A .i686 package to install for 32bit apps.

Additional info:
Comment 1 Erik Terwan 2012-06-03 07:55:50 EDT
The bug above was filed against some test release of Fedora 17 (according to the date of the bug), but it is still a bug in the production release.

When I start some program in a terminal I receive an error message saying:

Gtk-Message: Failed to load module "pk-gtk-module"

There is a libpk-gtk-module.so in /usr/lib64/gtk-3.0/modules/, but there's not even a /usr/lib/gtk-3.0/ directory.

Strange thing is that I even get the error above when I start a 64-bit program like system-config-keyboard.
Comment 2 paul59584 2012-06-26 06:32:48 EDT
Comment 17 in Bug 476066 has a fix for this that worked for me on F17 x86_64 system
Comment 3 Fedora End Of Life 2013-07-03 18:37:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 20:37:57 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.